=== debian/changelog ===
taglib (1.13-2) unstable; urgency=high

  * Bump Standards-Version to 4.6.2.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: libtag1-dev: Add missing dep zlib1g-dev.
    (Closes: #997217)

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Feb 2023 12:25:27 -0500

taglib (1.13-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/patches: Drop all patches except using OS libutf8cpp and
    arch-indep /usr/bin/taglib-config, old patches are no longer needed.
  * debian/control:
    + Mark documentation-related build-dependencies with <!nodoc>.
    + Mark the doc package with Build-Profiles: <!nodoc>.
  * debian/rules:
    + Enable BUILD_TESTING flag.
    + Explicitly enable LTO build.
  * debian/libtag1v5-vanilla.symbols: Add new symbols and drop
    non-LTO symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Nov 2022 15:19:22 -0400
