=== debian/changelog ===
taglib (1.13.1-2) unstable; urgency=medium

  * debian/rules: Avoid usage of root user.
  * debian/libtag1v5.docs: Install docs declaratively instead.
  * debian/control: Explicitly enable Rules-Requires-Root: no.
  * debian/control: Update taglib homepage information.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Nov 2024 08:05:01 -0500

taglib (1.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Jul 2023 16:50:19 -0400
