=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
 Build-Depends-Indep:
  doxygen <!nodoc>,
  graphviz <!nodoc>,
-Standards-Version: 4.6.2
-Homepage: https://taglib.github.io/
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://taglib.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/taglib.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/taglib
