=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,6 @@
 
 override_dh_installdocs:
 	dh_installdocs -X '*.md5'
-	# Install bindings README
-	if [ -d debian/libtag1v5 ]; then \
-	    install -m644 -oroot -groot -T bindings/README debian/libtag1v5/usr/share/doc/libtag1v5/README.bindings; \
-	fi;
 
 # Generate docs when building indep
 execute_after_dh_auto_build-indep:
